/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.util.Objects;

/**
 * ProgrammedFlight
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ProgrammedFlight {
  @SerializedName("number")
  private String number = null;

  @SerializedName("departure_time")
  private LocalDate departureTime = null;

  @SerializedName("arrival_time")
  private LocalDate arrivalTime = null;

  @SerializedName("departure_programmed_time")
  private LocalDate departureProgrammedTime = null;

  @SerializedName("arrival_programmed_time")
  private LocalDate arrivalProgrammedTime = null;

  public ProgrammedFlight number(String number) {
    this.number = number;
    return this;
  }

   /**
   * Flight number.
   * @return number
  **/
  @ApiModelProperty(value = "Flight number.")
  public String getNumber() {
    return number;
  }

  public void setNumber(String number) {
    this.number = number;
  }

  public ProgrammedFlight departureTime(LocalDate departureTime) {
    this.departureTime = departureTime;
    return this;
  }

   /**
   * Date and time the airplane took off. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).
   * @return departureTime
  **/
  @ApiModelProperty(value = "Date and time the airplane took off. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).")
  public LocalDate getDepartureTime() {
    return departureTime;
  }

  public void setDepartureTime(LocalDate departureTime) {
    this.departureTime = departureTime;
  }

  public ProgrammedFlight arrivalTime(LocalDate arrivalTime) {
    this.arrivalTime = arrivalTime;
    return this;
  }

   /**
   * Date and time the airplane landed. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).
   * @return arrivalTime
  **/
  @ApiModelProperty(value = "Date and time the airplane landed. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).")
  public LocalDate getArrivalTime() {
    return arrivalTime;
  }

  public void setArrivalTime(LocalDate arrivalTime) {
    this.arrivalTime = arrivalTime;
  }

  public ProgrammedFlight departureProgrammedTime(LocalDate departureProgrammedTime) {
    this.departureProgrammedTime = departureProgrammedTime;
    return this;
  }

   /**
   * Date and time the airplane should have taken off. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).
   * @return departureProgrammedTime
  **/
  @ApiModelProperty(value = "Date and time the airplane should have taken off. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).")
  public LocalDate getDepartureProgrammedTime() {
    return departureProgrammedTime;
  }

  public void setDepartureProgrammedTime(LocalDate departureProgrammedTime) {
    this.departureProgrammedTime = departureProgrammedTime;
  }

  public ProgrammedFlight arrivalProgrammedTime(LocalDate arrivalProgrammedTime) {
    this.arrivalProgrammedTime = arrivalProgrammedTime;
    return this;
  }

   /**
   * Date and time the airplane should have landed. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).
   * @return arrivalProgrammedTime
  **/
  @ApiModelProperty(value = "Date and time the airplane should have landed. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).")
  public LocalDate getArrivalProgrammedTime() {
    return arrivalProgrammedTime;
  }

  public void setArrivalProgrammedTime(LocalDate arrivalProgrammedTime) {
    this.arrivalProgrammedTime = arrivalProgrammedTime;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ProgrammedFlight programmedFlight = (ProgrammedFlight) o;
    return Objects.equals(this.number, programmedFlight.number) &&
        Objects.equals(this.departureTime, programmedFlight.departureTime) &&
        Objects.equals(this.arrivalTime, programmedFlight.arrivalTime) &&
        Objects.equals(this.departureProgrammedTime, programmedFlight.departureProgrammedTime) &&
        Objects.equals(this.arrivalProgrammedTime, programmedFlight.arrivalProgrammedTime);
  }

  @Override
  public int hashCode() {
    return Objects.hash(number, departureTime, arrivalTime, departureProgrammedTime, arrivalProgrammedTime);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ProgrammedFlight {\n");
    
    sb.append("    number: ").append(toIndentedString(number)).append("\n");
    sb.append("    departureTime: ").append(toIndentedString(departureTime)).append("\n");
    sb.append("    arrivalTime: ").append(toIndentedString(arrivalTime)).append("\n");
    sb.append("    departureProgrammedTime: ").append(toIndentedString(departureProgrammedTime)).append("\n");
    sb.append("    arrivalProgrammedTime: ").append(toIndentedString(arrivalProgrammedTime)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

